#########
# 解説1
#########
import ctypes
import tisgrabber as tis

#tisgrabber_x64.dllをインポートする
ic = ctypes.cdll.LoadLibrary("./tisgrabber_x64.dll")
tis.declareFunctions(ic)

#ICImagingControlクラスライブラリを初期化します。
#この関数は、このライブラリの他の関数が呼び出される前に1回だけ呼び出す必要があります。
ic.IC_InitLibrary(0)

#新しいグラバーハンドルを作成します。
hGrabber = ic.IC_CreateGrabber()


#########
# 解説2
#########
#デバイスをオープンします。
ic.IC_OpenVideoCaptureDevice(hGrabber, tis.T("77020507"))


#########
# 解説3
#########
#デバイスが有効か確認
if(ic.IC_IsDevValid(hGrabber)):
    #解像度を指定する
    ic.IC_SetVideoFormat(hGrabber, tis.T("RGB32 (640x480)"))
    #フレームレートを指定する
    ic.IC_SetFrameRate(hGrabber, ctypes.c_float(30.0))
    #ライブスタート開始　引数：0の時非表示、引数：1の時表示
    ic.IC_StartLive(hGrabber, 1)
    ic.IC_MsgBox(tis.T("Click OK to stop"), tis.T("Simple Live Video"))
    ic.IC_StopLive(hGrabber)

else:
    ic.IC_MsgBox(tis.T("No device opened"), tis.T("Simple Live Video"))

ic.IC_ReleaseGrabber(hGrabber)
